{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "e5c5a211-2ccd-4341-af10-ac546484b91f",
   "metadata": {
    "tags": []
   },
   "source": [
    "## 项目介绍\n",
    "- 原项目地址：https://huggingface.co/spaces/fffiloni/LatentSync\n",
    "- LatentSync：可基于上传视频及音频，生成自动配音和口型匹配的视频。\n",
    "- 项目在L20显卡，cuda12.2上进行适配\n",
    "## 使用说明\n",
    "- 启动和重启 Notebook 点上方工具栏中的「重启并运行所有单元格」。出现如下内容就算成功了：\n",
    "    - `Running on local URL:  http://0.0.0.0:7860`\n",
    "    - `Running on public URL: https://xxxxxxxxxxxxxxx.gradio.live`\n",
    "- 通过以下方式开启页面：\n",
    "    - 控制台打开「自定义服务」了，访问自定义服务端口号设置为7860\n",
    "    - 直接打开显示的公开链接`public URL`\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "53a96614-e2d2-4710-a82b-0d5ca9cb9872",
   "metadata": {
    "tags": []
   },
   "outputs": [],
   "source": [
    "# 启动\n",
    "!sh start.sh"
   ]
  },
  {
   "cell_type": "markdown",
   "source": [
    "---\n",
    "**扫码关注公众号，获取更多资讯**<br>\n",
    "<div align=center>\n",
    "<img src=\"assets/二维码.jpeg\" width = 20% />\n",
    "</div>\n"
   ],
   "metadata": {
    "collapsed": false
   },
   "id": "2f54158c2967bc25"
  },
  {
   "cell_type": "code",
   "outputs": [],
   "source": [],
   "metadata": {
    "collapsed": false
   },
   "id": "6dc59fbbcf222b6b"
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.10.13"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
